%global fontname typemade-josefinsansstd-light
%global fontconf 62-%{fontname}.conf

Name:           %{fontname}-fonts
Version:        1.000 
Release:        7%{?dist}
Summary:        A latin font that is geometric, elegant, and kind of vintage

Group:          User Interface/X
License:        OFL
URL:            http://typemade.mx/
Source0:        http://typemade.mx/fonts/free/typemade-JosefinSansStdLight.zip
Source1:        %{name}-fontconfig.conf
Source2:        josefinsansstd-light-license-confirmation-email.txt

BuildArch:      noarch
BuildRequires:  fontpackages-devel
Requires:       fontpackages-filesystem

Obsoletes:     josefinsansstd-light-fonts < 1.000-2

%description
The idea for creating this typeface was to make it geometric, elegant and 
kind of vintage, especially for titling. It is based on Rudolf Koch's 
Kabel (1927), Rudolf Wolf's Memphis (1930),Paul Renner's Futura (1927?).



%prep
%setup -q -c 


%build
cp -p %{SOURCE2} .

%install
rm -fr %{buildroot}

install -m 0755 -d %{buildroot}%{_fontdir}
install -m 0644 -p typemade-JosefinSansStdLight/*.otf %{buildroot}%{_fontdir}

install -m 0755 -d %{buildroot}%{_fontconfig_templatedir} \
                   %{buildroot}%{_fontconfig_confdir}

install -m 0644 -p %{SOURCE1} \
        %{buildroot}%{_fontconfig_templatedir}/%{fontconf}
ln -s %{_fontconfig_templatedir}/%{fontconf} \
      %{buildroot}%{_fontconfig_confdir}/%{fontconf}


%clean
rm -fr %{buildroot}


%_font_pkg -f %{fontconf} *.otf

%doc typemade-JosefinSansStdLight/Typemade-EULA.pdf josefinsansstd-light-license-confirmation-email.txt


%changelog
* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.000-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.000-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.000-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.000-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Jun 30 2010 Parag Nemade <pnemade AT redhat.com> - 1.000-3
- Include upstream confirmed license copy in %%doc

* Mon Jun 14 2010 Parag Nemade <pnemade AT redhat.com> - 1.000-2
- Renamed to follow fonts package naming guidelines.

* Mon May 24 2010 Parag Nemade <pnemade AT redhat.com> - 1.000-1
- Initial Fedora release.

